/*
 * Header of the proxy that uses the best available Rhythmbox proxy.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 *
 */

#ifndef RB_ANY_PROXY_H
#define RB_ANY_PROXY_H

#include "rb-proxy.h"

#define RB_TYPE_ANY_PROXY		(rb_any_proxy_get_type ())
#define RB_ANY_PROXY(o)			(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_ANY_PROXY, RbAnyProxy))
#define RB_ANY_PROXY_CLASS(k)		(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_ANY_PROXY, RbAnyProxyClass))
#define RB_IS_ANY_PROXY(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_ANY_PROXY))
#define RB_IS_ANY_PROXY_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_ANY_PROXY))
#define RB_ANY_PROXY_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_ANY_PROXY, RbAnyProxyClass))

typedef struct _RbAnyProxy		RbAnyProxy;
typedef struct _RbAnyProxyClass	RbAnyProxyClass;
typedef struct _RbAnyProxyPrivate	RbAnyProxyPrivate;

struct _RbAnyProxy
{
	GObject parent;

	/*< private >*/

	RbAnyProxyPrivate *priv;
};

struct _RbAnyProxyClass
{
	GObjectClass parent_class;
};

GType rb_any_proxy_get_type (void);

RbProxy *rb_any_proxy_new (void);

#endif /* RB_ANY_PROXY_H */
