/*
 * Header of the proxy around Rhythmbox's Bonobo interface.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 *
 */

#ifndef RB_BONOBO_PROXY_H
#define RB_BONOBO_PROXY_H

#include "rb-proxy.h"

#define RB_TYPE_BONOBO_PROXY		(rb_bonobo_proxy_get_type ())
#define RB_BONOBO_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_BONOBO_PROXY, RbBonoboProxy))
#define RB_BONOBO_PROXY_CLASS(k) 	(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_BONOBO_PROXY, RbBonoboProxyClass))
#define RB_IS_BONOBO_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_BONOBO_PROXY))
#define RB_IS_BONOBO_PROXY_CLASS(k) 	(G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_BONOBO_PROXY))
#define RB_BONOBO_PROXY_GET_CLASS(o) 	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_BONOBO_PROXY, RbBonoboProxyClass))

typedef struct _RbBonoboProxy		RbBonoboProxy;
typedef struct _RbBonoboProxyClass	RbBonoboProxyClass;
typedef struct _RbBonoboProxyPrivate	RbBonoboProxyPrivate;

struct _RbBonoboProxy
{
	GObject parent;

	/*< private >*/

	RbBonoboProxyPrivate *priv;
};

struct _RbBonoboProxyClass
{
	GObjectClass parent_class;
};

GType rb_bonobo_proxy_get_type (void);

RbProxy *rb_bonobo_proxy_new (void);

#endif /* RB_BONOBO_PROXY_H */
