/*
 * Header of the proxy around Rhythmbox's D-Bus interface.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 *
 */

#ifndef RB_DBUS_PROXY_H
#define RB_DBUS_PROXY_H

#include "rb-proxy.h"

#define RB_TYPE_DBUS_PROXY		(rb_dbus_proxy_get_type ())
#define RB_DBUS_PROXY(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_DBUS_PROXY, RbDBusProxy))
#define RB_DBUS_PROXY_CLASS(k)		(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_DBUS_PROXY, RbDBusProxyClass))
#define RB_IS_DBUS_PROXY(o)		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_DBUS_PROXY))
#define RB_IS_DBUS_PROXY_CLASS(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_DBUS_PROXY))
#define RB_DBUS_PROXY_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_DBUS_PROXY, RbDBusProxyClass))

typedef struct _RbDBusProxy		RbDBusProxy;
typedef struct _RbDBusProxyClass	RbDBusProxyClass;
typedef struct _RbDBusProxyPrivate	RbDBusProxyPrivate;

struct _RbDBusProxy
{
	GObject parent;

	/*< private >*/

	RbDBusProxyPrivate *priv;
};

struct _RbDBusProxyClass
{
	GObjectClass parent_class;
};

GType rb_dbus_proxy_get_type (void);

RbProxy *rb_dbus_proxy_new (void);

#endif /* RB_DBUS_PROXY_H */
