/*
 * Header of the proxy interface for communicating with Rhythmbox.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 *
 */

#ifndef RB_PROXY_H
#define RB_PROXY_H

#include <glib-object.h>

#define RB_TYPE_PROXY		(rb_proxy_get_type ())
#define RB_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_PROXY, RbProxy))
#define RB_PROXY_CLASS(k) 	(G_TYPE_CHECK_CLASS_CAST ((k), RB_TYPE_PROXY, RbProxyClass))
#define RB_IS_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_PROXY))
#define RB_IS_PROXY_CLASS(k) 	(G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_PROXY))
#define RB_PROXY_GET_CLASS(o) 	(G_TYPE_INSTANCE_GET_INTERFACE ((o), RB_TYPE_PROXY, RbProxyClass))

typedef struct _RbProxy		RbProxy;		/* Dummy typedef */
typedef struct _RbProxyClass	RbProxyClass;

struct _RbProxyClass
{
	GTypeInterface parent;

	/*< vtable >*/

	void (*connect) (RbProxy *proxy);
	void (*disconnect) (RbProxy *proxy);

	void (*play_pause_stop) (RbProxy *proxy);
	void (*previous) (RbProxy *proxy);
	void (*next) (RbProxy *proxy);
};

GType rb_proxy_get_type (void);

void rb_proxy_play_pause_stop (RbProxy *proxy);
void rb_proxy_previous (RbProxy *proxy);
void rb_proxy_next (RbProxy *proxy);

#endif /* RB_PROXY_H */
