/*
 * Header of the immutable metadata of a song.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 */

#ifndef RB_SONG_METADATA_H
#define RB_SONG_METADATA_H

#include <glib-object.h>

#define RB_TYPE_SONG_METADATA		(rb_song_metadata_get_type ())
#define RB_SONG_METADATA(o) 		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_SONG_METADATA, RbSongMetadata))
#define RB_SONG_METADATA_CLASS(k) 	(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_SONG_METADATA, RbSongMetadataClass))
#define RB_IS_SONG_METADATA(o) 		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_SONG_METADATA))
#define RB_IS_SONG_METADATA_CLASS(k) 	(G_TYPE_CHECK_CLASS_TYPE ((k), RB_TYPE_SONG_METADATA))
#define RB_SONG_METADATA_GET_CLASS(o) 	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_SONG_METADATA, RbSongMetadataClass))

typedef struct _RbSongMetadata		RbSongMetadata;
typedef struct _RbSongMetadataClass	RbSongMetadataClass;
typedef struct _RbSongMetadataPrivate	RbSongMetadataPrivate;

struct _RbSongMetadata
{
	GObject parent;

	/*< private >*/

	RbSongMetadataPrivate *priv;
};

struct _RbSongMetadataClass
{
	GObjectClass parent_class;
};

GType rb_song_metadata_get_type (void);

RbSongMetadata *rb_song_metadata_new (const gchar *title,
				      const gchar *artist,
				      const gchar *album,
				      glong duration);

#endif /* RB_SONG_METADATA_H */
