/*
 * Header of the fancy tooltip for displaying song information.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004-2005 Paul Kuliniewicz <kuliniew@purdue.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA.
 *
 */

#ifndef RB_SONG_TOOLTIP_H
#define RB_SONG_TOOLTIP_H

#include "rb-proxy.h"

#include <gtk/gtkwidget.h>

#define RB_TYPE_SONG_TOOLTIP		rb_song_tooltip_get_type ()
#define RB_SONG_TOOLTIP(o) 		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_SONG_TOOLTIP, RbSongTooltip))
#define RB_SONG_TOOLTIP_CLASS(k) 	(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_SONG_TOOLTIP, RbSongTooltipClass))
#define RB_IS_SONG_TOOLTIP(o) 		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_SONG_TOOLTIP))
#define RB_SONG_TOOLTIP_GET_CLASS(o) 	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_SONG_TOOLTIP, RbSongTooltipClass))


typedef struct RbSongTooltipPrivate RbSongTooltipPrivate;

typedef struct
{
	GObject parent;

	/*< private >*/

	RbSongTooltipPrivate *priv;
} RbSongTooltip;

typedef struct
{
	GObjectClass parent_class;
} RbSongTooltipClass;

GType rb_song_tooltip_get_type (void);

RbSongTooltip *rb_song_tooltip_new (RbProxy *proxy);

void rb_song_tooltip_attach (RbSongTooltip *tip, GtkWidget *owner);

#endif /* RB_SONG_TOOLTIP_H */
